
Foreman - Refactor #32064

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Extract Puppet setting

03/10/2021 06:11 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8881

  

Description

Move puppet setting to the plugin

Related issues:

Related to Foreman - Refactor #29288: Reorder settings Closed

Associated revisions

Revision 02a057b0 - 11/01/2021 01:26 PM - Ondřej Ezr

Fixes #32064 - drop Puppet related settings

Keeps Puppet CA settings as Puppet CA is still in.

Extracted in: theforeman/foreman_puppet#122

History

#1 - 03/10/2021 06:11 PM - Ondřej Ezr

- Related to Refactor #29288: Reorder settings added

#2 - 10/13/2021 11:08 AM - Ondřej Ezr

- Target version set to 3.1.0

#3 - 10/27/2021 03:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8881 added

#4 - 11/01/2021 01:26 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 11/01/2021 02:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|02a057b02fdad42f4e6d867d1577f1f4b07f40c4.
